<ng-container *ngIf="auth.isAuthenticated$ | async; else loggedOut">

  <button mat-icon-button (click)="auth.logout({ returnTo: document.location.origin })">
    <mat-icon>logout</mat-icon> Cerrar Sesion
  </button>
</ng-container>

<ng-template #loggedOut>
  <button mat-icon-button (click)="auth.loginWithRedirect()"> <mat-icon>login</mat-icon> Iniciar Sesion</button>
</ng-template>
